{
  description = "Project Kyoku";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem
      (system:
        let
          pkgs = nixpkgs.legacyPackages.${system};
        in
        {
          devShell = import ./shell.nix { inherit pkgs; };
        }
      );
}
